package com.tongran.rocketmq.mapper;

import com.tongran.rocketmq.domain.AllMoudleName;

import java.util.List;

/**
 * 光模块名称存储Mapper接口
 * 
 * @author tongran
 * @date 2026-01-04
 */
public interface AllMoudleNameMapper 
{
    /**
     * 查询光模块名称存储
     * 
     * @param id 光模块名称存储主键
     * @return 光模块名称存储
     */
    public AllMoudleName selectAllMoudleNameById(Long id);

    /**
     * 查询光模块名称存储列表
     * 
     * @param allMoudleName 光模块名称存储
     * @return 光模块名称存储集合
     */
    public List<AllMoudleName> selectAllMoudleNameList(AllMoudleName allMoudleName);

    /**
     * 新增光模块名称存储
     * 
     * @param allMoudleName 光模块名称存储
     * @return 结果
     */
    public int insertAllMoudleName(AllMoudleName allMoudleName);

    /**
     * 修改光模块名称存储
     * 
     * @param allMoudleName 光模块名称存储
     * @return 结果
     */
    public int updateAllMoudleName(AllMoudleName allMoudleName);

    /**
     * 删除光模块名称存储
     * 
     * @param id 光模块名称存储主键
     * @return 结果
     */
    public int deleteAllMoudleNameById(Long id);

    /**
     * 批量删除光模块名称存储
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAllMoudleNameByIds(Long[] ids);

    void batchInsertMoudleName(List<AllMoudleName> nameList);
}
